Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.endpoint
Class ServerSessionEndpoint

    java.lang.Object
      org.jboss.jms.server.endpoint.ServerSessionEndpoint

All Implemented Interfaces:
  Closeable, SessionEndpoint

public class ServerSessionEndpoint
extends java.lang.Object
implements SessionEndpoint

Concrete implementation of SessionEndpoint.

Version:
  `$Revision: 1.40 $` $Id: ServerSessionEndpoint.java,v 1.40 2006/06/27 19:44:39 timfox Exp $
Author:
  Ovidiu Feodorov, Tim Fox

Constructor Summary
`protected` | `ServerSessionEndpoint(int sessionID, ServerConnectionEndpoint connectionEndpoint)`

Method Summary
`void` | `acknowledge()` Acknowledges the session
`void` | `addTemporaryDestination(JBossDestination dest)` Add a temporary destination.
`void` | `cancelDeliveries()` Cancel all the deliveries in the session
`void` | `close()` Close the instance
`void` | `closing()` Tell the instance to prepare to close
`BrowserDelegate` | `createBrowserDelegate(JBossDestination jmsDestination, java.lang.String messageSelector)`
`ConsumerDelegate` | `createConsumerDelegate(JBossDestination jmsDestination, java.lang.String selector, boolean noLocal, java.lang.String subscriptionName, boolean isCC)`
`JBossQueue` | `createQueue(java.lang.String name)` Creates a queue identity given a Queue name.
`JBossTopic` | `createTopic(java.lang.String name)` Creates a topic identity given a Queue name.
`void` | `deleteTemporaryDestination(JBossDestination dest)` Delete a temporary destination
`protected ServerBrowserEndpoint` | `getBrowserDelegate(int browserID)`
`ServerConnectionEndpoint` | `getConnectionEndpoint()`
`protected ServerConsumerEndpoint` | `getConsumerEndpoint(int consumerID)`
`protected ServerBrowserEndpoint` | `putBrowserDelegate(int browserID, ServerBrowserEndpoint sbd)`
`protected ServerConsumerEndpoint` | `putConsumerEndpoint(int consumerID, ServerConsumerEndpoint d)`
`protected ServerBrowserEndpoint` | `removeBrowserDelegate(int browserID)`
`protected ServerConsumerEndpoint` | `removeConsumerEndpoint(int consumerID)`
`void` | `send(JBossMessage message)`
`protected void` | `setStarted(boolean s)` Starts this session's Consumers
`java.lang.String` | `toString()`
`void` | `unsubscribe(java.lang.String subscriptionName)` Unsubscribe the client from the durable subscription specified by subscriptionName

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServerSessionEndpoint

    protected ServerSessionEndpoint(int sessionID,
                                    ServerConnectionEndpoint connectionEndpoint)

Method Detail

### createConsumerDelegate

    public ConsumerDelegate createConsumerDelegate(JBossDestination jmsDestination,
                                                   java.lang.String selector,
                                                   boolean noLocal,
                                                   java.lang.String subscriptionName,
                                                   boolean isCC)
                                            throws JMSException

  Specified by:
    `createConsumerDelegate` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### createBrowserDelegate

    public BrowserDelegate createBrowserDelegate(JBossDestination jmsDestination,
                                                 java.lang.String messageSelector)
                                          throws JMSException

  Specified by:
    `createBrowserDelegate` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### createQueue

    public JBossQueue createQueue(java.lang.String name)
                           throws JMSException

  Description copied from interface: `SessionEndpoint`
  Creates a queue identity given a Queue name. Does NOT create the physical queue. The physical creation of queues is an administrative task and is not to be initiated by the JMS API, with the exception of temporary queues.

  Specified by:
    `createQueue` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### createTopic

    public JBossTopic createTopic(java.lang.String name)
                           throws JMSException

  Description copied from interface: `SessionEndpoint`
  Creates a topic identity given a Queue name. Does NOT create the physical topic. The physical creation of topics is an administrative task and is not to be initiated by the JMS API, with the exception of temporary topics.

  Specified by:
    `createTopic` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### close

    public void close()
               throws JMSException

  Description copied from interface: `Closeable`
  Close the instance

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `JMSException`

### closing

    public void closing()
                 throws JMSException

  Description copied from interface: `Closeable`
  Tell the instance to prepare to close

  Specified by:
    `closing` in interface `Closeable`
  Throws:
    `JMSException`

### send

    public void send(JBossMessage message)
              throws JMSException

  Specified by:
    `send` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### cancelDeliveries

    public void cancelDeliveries()
                          throws JMSException

  Cancel all the deliveries in the session

  Specified by:
    `cancelDeliveries` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### acknowledge

    public void acknowledge()
                     throws JMSException

  Description copied from interface: `SessionEndpoint`
  Acknowledges the session

  Specified by:
    `acknowledge` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### addTemporaryDestination

    public void addTemporaryDestination(JBossDestination dest)
                                 throws JMSException

  Description copied from interface: `SessionEndpoint`
  Add a temporary destination.

  Specified by:
    `addTemporaryDestination` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### deleteTemporaryDestination

    public void deleteTemporaryDestination(JBossDestination dest)
                                    throws JMSException

  Description copied from interface: `SessionEndpoint`
  Delete a temporary destination

  Specified by:
    `deleteTemporaryDestination` in interface `SessionEndpoint`
  Throws:
    `JMSException`

### unsubscribe

    public void unsubscribe(java.lang.String subscriptionName)
                     throws JMSException

  Description copied from interface: `SessionEndpoint`
  Unsubscribe the client from the durable subscription specified by subscriptionName

  Specified by:
    `unsubscribe` in interface `SessionEndpoint`
  Parameters:
    `subscriptionName` - the Name of the durable subscription to unsubscribe from
  Throws:
    `JMSException`

### getConnectionEndpoint

    public ServerConnectionEndpoint getConnectionEndpoint()

### toString

    public java.lang.String toString()

### putConsumerEndpoint

    protected ServerConsumerEndpoint putConsumerEndpoint(int consumerID,
                                                         ServerConsumerEndpoint d)

### getConsumerEndpoint

    protected ServerConsumerEndpoint getConsumerEndpoint(int consumerID)

### removeConsumerEndpoint

    protected ServerConsumerEndpoint removeConsumerEndpoint(int consumerID)

### putBrowserDelegate

    protected ServerBrowserEndpoint putBrowserDelegate(int browserID,
                                                       ServerBrowserEndpoint sbd)

### getBrowserDelegate

    protected ServerBrowserEndpoint getBrowserDelegate(int browserID)

### removeBrowserDelegate

    protected ServerBrowserEndpoint removeBrowserDelegate(int browserID)

### setStarted

    protected void setStarted(boolean s)

  Starts this session's Consumers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.